import sys
import os
lib_dir = os.path.join(os.path.dirname(__file__), 'lib')
if lib_dir not in sys.path:
    sys.path.insert(0, lib_dir)
import requests
import json
import base64
import pathlib
import re

class OpenWebUI_API():
    
    def __init__(self, API_URL, API_KEY, WORKSPACE):
        # class specific variables
        API_HEADERS = {"accept": "application/json", "Authorization": "Bearer "+ API_KEY}
        WORKSPACE_SLUG = ''
        CURRENT_THREAD = ''